Skip to main content
GET
/
v1
/
submerchants
/
{id}
Get one submerchant
curl --request GET \
  --url https://api-global.fastpaybrasil.com/v1/submerchants/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "36OO3bcGjhPjjF3tzrqOGcmQuKo",
  "tradeName": "ACME",
  "legalName": "ACME Corp",
  "companyTaxId": "12345678000199",
  "averageMonthlyRevenue": 5000,
  "averageOrderValue": 100,
  "productType": "digital",
  "website": "https://google.com",
  "gatewayId": "36O08tjxJCxtEFApVPyWbryktP3",
  "approvedAt": "2025-12-04T20:02:51.762Z",
  "inactivatedAt": null,
  "status": "active",
  "contactEmail": "[email protected]",
  "productDescription": "We sell electronic gadgets and accessories.",
  "softDescriptor": null,
  "createdAt": "2025-12-04T18:45:52.988Z",
  "totalSales": 0
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Path Parameters

id
string
required

Unique identifier of the merchant.

Example:

"36OO3bcGjhPjjF3tzrqOGcmQuKo"

Response

Successfully retrieved the submerchant

id
string

Unique identifier of the merchant.

Example:

"36OO3bcGjhPjjF3tzrqOGcmQuKo"

tradeName
string

Merchant trade name.

Example:

"ACME"

Merchant legal name.

Example:

"ACME Corp"

companyTaxId
string

Merchant tax identification number.

Example:

"12345678000199"

averageMonthlyRevenue
number

Average monthly revenue (decimal as string).

Example:

5000

averageOrderValue
number

Average order value (decimal as string).

Example:

100

productType
enum<string>

Type of product sold by the merchant.

Available options:
digital,
physical,
both
Example:

"digital"

website
string<uri>

Merchant website URL.

Example:

"https://google.com"

gatewayId
string

Gateway identifier linked to the merchant.

Example:

"36O08tjxJCxtEFApVPyWbryktP3"

approvedAt
string<date-time> | null

Date when the merchant was approved.

Example:

"2025-12-04T20:02:51.762Z"

inactivatedAt
string<date-time> | null

Date when the merchant was inactivated.

Example:

null

status
enum<string>

Current merchant status.

Available options:
active,
pending,
inactive,
rejected,
blocked
Example:

"active"

contactEmail
string<email>

Merchant contact email.

productDescription
string

Description of products or services offered.

Example:

"We sell electronic gadgets and accessories."

softDescriptor
string | null

Soft descriptor shown on card statements.

Example:

null

createdAt
string<date-time>

Merchant creation timestamp.

Example:

"2025-12-04T18:45:52.988Z"

totalSales
number

Total number of sales for the merchant.

Example:

0